#LIB/MIDDLE/算法名/main.py   该文件调用核心算法

# 准备算法输入参数
parameter1 = * 
parameter2 = *


# 多次调用核心算法时，将循环写在外面
for (i=1:n){
     
     # 获取数据
     data1 = get_data(sn[i], start_time, end_time, ....)
     data2 = get_data_by_sql(sn[i], start_time, end_time, ....)

     # 通用数据预处理 (可选，由算法说明文档说明算法输入数据是否需要预处理)
     data1 = data_process(data1)
     data2 = data_process(data2)
     
     # 调用核心算法
     [res1, res2] = core_algorithm(data1, data2, parameter1, parameter2)

     # 使用结果
     res1 = res1.append(res)
     res1.to_csv(...)
}

# 批量使用结果
res.to_csv(...)
